
<?php
include('lock.php');
include('config.php');
include('style.php');
include('welcome.php');

// Σύνδεση με τη βάση δεδομένων και αποθήκευση της σύνδεσης στη μεταβλητή $pdo
try {
    $pdo = new PDO("mysql:host=$host;dbname=$database", $user, $password);
    $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);  // Διαχείριση σφαλμάτων PDO
} catch (PDOException $e) {
    echo "Σφάλμα σύνδεσης: " . $e->getMessage();
    exit;  // Αν δεν συνδεθεί με τη βάση, σταματάει την εκτέλεση του script
}

// Έλεγχος για το ID στην URL
if (isset($_GET['id']) && is_numeric($_GET['id'])) {
    $kart = intval($_GET['id']);
} else {
    echo "Δεν βρέθηκε έγκυρο ID!";
    exit;
}

// Προετοιμασία και εκτέλεση του query
$stmt = $pdo->prepare("SELECT * FROM `oaed_thea` WHERE id = :kart");
$stmt->execute(['kart' => $kart]);

// Λήψη των δεδομένων
$infoil = $stmt->fetch(PDO::FETCH_ASSOC);

if ($infoil) {
    $datin = date('d-m-Y', strtotime($infoil['date_in']));
    $datout = date('d-m-Y', strtotime($infoil['date_out']));
    $datex = date('d-m-Y', strtotime($infoil['im_ex']));


    ?>
    <table border="0" align="center">
  <form method="post" action="dik_edit.php">
    <tr class="style3">
      <td width="180" align="right" bgcolor="#E5E5E5"></td>
      <td width="252"><input type="text" name="id" size="10" hidden value="<?php echo $infoil['id'] ?>" ></td>
    </tr>
    <tr class="style3">
      <td align="right" bgcolor="#E5E5E5"></td>
      <td width="252"><input type="text" name="ar_symb" size="10" hidden value="<?php echo $infoil['ar_symb'] ?>"></td>
    </tr>

    <tr class="style3">
      <td align="right" bgcolor="#FFFFFF">α/α σειρας ωφελ/νου</td>
      <td width="252"><input type="text" name="dik_ofel" size="50" style="text-align:center" value="<?php echo $infoil['dik_ofel'] ?>"></td>
    </tr>
    <tr class="style3">
      <td align="right" bgcolor="#FFFFFF">Ονοματεπώνυμο</td>
      <td width="252"><input type="text" name="name" size="50" style="text-align:center" value="<?php echo $infoil['name'] ?>"></td>
    </tr>

    <tr class="style3">
      <td align="right" bgcolor="#FFFFFF">κάτοικος</td>
      <td width="252"><input type="text" name="katoikos" size="50" style="text-align:center" value="<?php echo $infoil['katoikos'] ?>"></td>
    </tr>     

    <tr class="style3">
      <td align="right" bgcolor="#FFFFFF">ΑΦΜ</td>
      <td width="252"><input type="text" name="afm" size="50" style="text-align:center" value="<?php echo $infoil['afm'] ?>"></td>
    </tr>
    
    <tr class="style3">
      <td align="right" bgcolor="#FFFFFF">ΑΜΚΑ</td>
      <td width="252"><input type="text" name="amka" size="50" style="text-align:center" value="<?php echo $infoil['amka'] ?>"></td>
    </tr>
    
    <tr class="style3">
      <td align="right" bgcolor="#FFFFFF">α/α επιταγής</td>
      <td width="252"><input type="text" name="epitagi" size="50" style="text-align:center" value="<?php echo $infoil['epitagi'] ?>"></td>
    </tr>
    
    <tr class="style3">
      <td align="right" bgcolor="#FFFFFF">αρ. δωματίου</td>
      <td width="252"><input type="text" name="room" size="50" style="text-align:center" value="<?php echo $infoil['room'] ?>"></td>
    </tr>
    
    <tr class="style3">
      <td align="right" bgcolor="#FFFFFF">τύπος δωμ</td>
      <td width="252"><input type="text" name="typos_domatio" size="50" style="text-align:center" value="<?php echo $infoil['typos_domatio'] ?>"></td>
    </tr>

    <tr class="style3">
      <td align="right" bgcolor="#E5E5E5"></td>
      <td width="252"><input type="text" name="extra" size="50" hidden value="<?php echo $infoil['extra'] ?>"></td>
    </tr>

    <tr class="style3">
      <td align="right" bgcolor="#FFFFFF">δωματια</td>
      <td width="252"><input type="text" name="plithos_dom" size="50" style="text-align:center" value="<?php echo $infoil['plithos_dom'] ?>"></td>
    </tr>
    
    <tr class="style3">
      <td align="right" bgcolor="#FFFFFF">Ημερ/νια αφιξης</td>
      <td width="252"><input type="date" name="date_in" size="50" style="text-align:center" value="<?php echo $infoil['date_in'] ?>"></td>
    </tr>
    
    <tr class="style3">
      <td align="right" bgcolor="#FFFFFF">Ημερ/νια αναχωρησης</td>
      <td width="252"><input type="date" name="date_out" size="50" style="text-align:center" value="<?php echo $infoil['date_out'] ?>"></td>
    </tr>
    
    <tr class="style3">
      <td align="right" bgcolor="#FFFFFF">ημέρες</td>
      <td width="252"><input type="text" name="imeres" size="50" style="text-align:center" value="<?php echo $infoil['imeres'] ?>"></td>
    </tr>
    
    <tr class="style3">
      <td align="right" bgcolor="#FFFFFF">διανυκτερευσεις</td>
      <td width="252"><input type="text" name="dianiktere" size="50" style="text-align:center" value="<?php echo $infoil['dianiktere'] ?>"></td>
    </tr>
    
    <tr class="style3">
      <td align="right" bgcolor="#FFFFFF">επιδοτηση</td>
      <td width="252"><input type="text" name="epidotisi" size="50" style="text-align:center" value="<?php echo $infoil['epidotisi'] ?>"></td>
    </tr>
    
    <tr class="style3">
      <td align="right" bgcolor="#FFFFFF">συμμετοχη</td>
      <td width="252"><input type="text" name="simetoxi" size="50" style="text-align:center" value="<?php echo $infoil['simetoxi'] ?>"></td>
    </tr>

    <tr class="style3">
      <td align="right" bgcolor="#FFFFFF">συμφ.συμμετοχη</td>
      <td width="252"><input type="text" name="simf_simetox" size="50" style="text-align:center" value="<?php echo $infoil['simf_simetox'] ?>"></td>
    </tr>

    <tr class="style3">
      <td align="right" bgcolor="#E5E5E5"></td>
      <td width="252"><input type="text" name="hotel" size="50" hidden value="<?php echo $infoil['hotel'] ?>"></td>
    </tr>

    <tr class="style3">
      <td align="right" bgcolor="#E5E5E5">περιοδος</td>
      <td width="252"><input type="text" name="periodos" size="50" style="text-align:center" value="<?php echo $infoil['periodos'] ?>"></td>
    </tr>

    <tr class="style3">
      <td align="right" bgcolor="#FFFFFF">αριθμος ωφελουμενων</td>
      <td width="252"><input type="text" name="ar_ofel" size="50" style="text-align:center" value="<?php echo $infoil['ar_ofel'] ?>"></td>
    </tr>

    <tr class="style3">
      <td align="right" bgcolor="#FFFFFF">σχολια/αλλαγη δωματιου</td>
      <td width="252"><input type="text" name="sxolia" size="50" style="text-align:center" value="<?php echo $infoil['sxolia'] ?>"></td>
    </tr>

    <tr class="style3">
      <td align="right" bgcolor="#FFFFFF">ονομ/μο δικαιουχου εξουσ/σης</td>
      <td width="252"><input type="text" name="onoma_ex" size="50" style="text-align:center" value="<?php echo $infoil['onoma_ex'] ?>"></td>
    </tr>

    <tr class="style3">
      <td align="right" bgcolor="#FFFFFF">ημερ/νια εξουσιοδοτησης</td>
      <td width="252"><input type="date" name="im_ex" size="50" style="text-align:center" value="<?php echo $datex ?>"></td>
    </tr>

    <tr class="style3">
      <td align="right" bgcolor="#FFFFFF">ιδιοτητα εξουσ/νου</td>
      <td width="252"><input type="text" name="idiotita_ex" size="50" style="text-align:center" value="<?php echo $infoil['idiotita_ex'] ?>"></td>
    </tr>
  <tr class="style3">
        <td align="right" bgcolor="#E5E5E5"></td>
        <td width="252"><input type="submit" name="submit" value="edit" /></td>
    </tr>
</form>
</table>    



    <?php
} 
?>



